Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Java Compliance Level keeps reseting to 1.8 after restart
Java Compliance Level keeps reseting to 1.8 after restart [message #1839279] Thu, 18 March 2021 15:46 Go to next message
Alejandro Ortiz is currently offline Alejandro OrtizFriend
Messages: 1
Registered: March 2021
Junior Member
Hi everyone! I've been using Eclipse for a long time, but this is the first time I post a topic. Should anything be wrong, please let me know.

I have a problem that happened in Eclipse 2020-12, but keeps happening in 2021-03. I use Java OpenJDK 15.0.0.2, and I have configured it on Eclipse as the only Installed JRE.

The Compiler compliance level is set by default at 1.8 at Windows / Preferences / Java / Compiler. I set it to 15, and then restart Eclipse. When I go back to preferences, it's been reset to 1.8.

This happens with a clean Eclipse, just downloaded. No plugins, no projects.

I have Java 8 in another folder for other purposes, but for eclipse I only have OpenJDK 15. JAVA_HOME is set to OpenJDK, and "java -version" shows 15.0.0.2. No Java 8 on the path or any other system variables.

Any idea why this happens and how to avoid it?

Kind regards.

Alex.
Re: Java Compliance Level keeps reseting to 1.8 after restart [message #1839319 is a reply to message #1839279] Fri, 19 March 2021 09:05 Go to previous message
Sarika Sinha is currently offline Sarika SinhaFriend
Messages: 121
Registered: February 2010
Location: Bangalore, India
Senior Member
Hi,
Which JRE is selected as default when you launch the Application first time?


Sarika Sinha
JDT Programmer
Previous Topic:problem with Java -> Editor -> Save Actions
Next Topic:All Java 8 classes opened in 2021-13 fail with Java 9 related error, but perhaps caused by Java 16
Goto Forum:
  


Current Time: Sat Jun 12 11:45:08 GMT 2021

Powered by FUDForum. Page generated in 0.01902 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top